Name:           yacpi
Version:        3.0.1
Release:        31%{?dist}
Summary:        Yet Another Configuration and Power Interface 

License:        GPLv2+
URL:            http://www.ngolde.de/yacpi.html 
Source0:        http://www.ngolde.de/download/%{name}-%{version}.tar.gz  
Patch0:         %{name}-%{version}.patch

BuildRequires:  gcc
BuildRequires:  ncurses-devel 
BuildRequires:  libacpi-devel 
ExcludeArch:    ppc ppc64

%description
Yacpi is an acpi monitoring program for Linux. It displays acpi information 
like battery status, ac status, cpu frequency, remaining battery/charge 
time, temperature... It also supports the use of more than one battery and 
can display them. 

%prep
%setup -q
%patch0 -p1
sed -i "s|CFLAGS  = -O2 -Wall -g|CFLAGS = $RPM_OPT_FLAGS|" Makefile
#fix convert changelog to UTF8
iconv -f ISO_8859-1 -t UTF-8 -o CHANGELOG{.utf8,}
mv CHANGELOG{.utf8,}


%build
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT DOCPATH=%{_pkgdocdir}


%files
%{_bindir}/%{name}
%dir %{_pkgdocdir}
%doc %{_pkgdocdir}/CHANGELOG
%doc %{_pkgdocdir}/COPYING
%doc %{_pkgdocdir}/README
%doc %{_pkgdocdir}/THANKS
%{_mandir}/man1/%{name}.1.gz



%changelog
* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.1-31
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.1-30
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.1-29
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.1-28
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.1-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.1-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.1-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.1-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Jul 04 2015 Ralf Corsépius <corsepiu@fedoraproject.org> - 3.0.1-23
- Use '|' as pattern-delimiter in sed expression (Fix FTFBS).
- Moderize spec.

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.1-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.1-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.1-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Nov  3 2013 Ville Skyttä <ville.skytta@iki.fi> - 3.0.1-19
- Install docs to %%{_pkgdocdir} where available (#993880).

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.1-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.1-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Aug 19 2008 Sven Lankes <sven@lank.es> - 3.0.1-11
- add ExcludeArch ppc ppc64

* Sat Aug  2 2008 Sven Lankes <sven@lank.es> - 3.0.1-10
- updated Makefile patch to:
- actually use the set cflags 
- not strip the binary so that we get a -debuginfo package 

* Mon Jul  7 2008 slankes <sven@lank.es> - 3.0.1-9
- minor specfile tweaks

* Thu May  8 2008 slankes <sven@lank.es> - 3.0.1-8
- save doc in name-version instead of version

* Thu May  8 2008 slankes <sven@lank.es> - 3.0.1-7
- drop explicit depencency on ncurses
- rework Makefile-patch
- Replace CFLAGS with RPM_OPT_FLAGS

* Mon May  5 2008 slankes <sven@lank.es> - 3.0.1-6
- Use correct license
- Various specfile cleanups

* Sat May  3 2008 slankes <sven@lank.es> - 3.0.1-5
- Convert CHANGELOG to UTF-8 

* Sat May  3 2008 slankes <sven@lank.es> - 3.0.1-4
- First package version

